Bug 11975 - Filenames in statusbar broken
: Filenames in statusbar broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qiv)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-05 18:24 by
Modified: 2008-03-08 19:25 (History)


Attachments
fonts bugfix by dfo@ (1.08 KB, patch)
2007-06-29 18:30, Michael Shigorin
no flags Details | Diff
User font select patch for qiv-2.1pre12 (2.64 KB, patch)
2007-06-29 20:55, Evgenii Terechkov
no flags Details | Diff
User font select patch for qiv-2.1pre12 (3.23 KB, patch)
2007-07-03 19:11, Evgenii Terechkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-05 18:24:46
Имена файлов и каталогов в строке статуса qiv отображаются крокозяблами.
Документация никакого способа влияния на вид статуса не раскрывает. Локаль -
ru_RU.UTF-8.

Заодно хорошо бы обновить версию до 2.1-pre12 (встроен обход проблемы с
XLIB_SKIP_ARGB_VISUALS). Судя по диффу с pre11, это неопасно.
------- Comment #1 From 2007-06-05 20:10:06 -------
Отдам :)  Второе можно, вот первое править не полезу (предположительно не тот
шрифт).
------- Comment #2 From 2007-06-05 21:08:03 -------
Ну давай, буду пинать апстрим (всё одно так и думал, что туда надо с таким).

Покопал немного. Шрифт там забивается константой "fixed" прямо в код (из
Makefile-а). Пробовал его менять, но получал либо развал с руганью от
gdk|imlib,
либо квадратики (если задать как XLFD). Так что к авторам, видимо.
------- Comment #3 From 2007-06-29 18:30:08 -------
Created an attachment (id=2067) [details]
fonts bugfix by dfo@

Прикладываю в 2.1-alt2.pre12 (спасибо dfo@), вот только в ru_RU.KOI8-R
работает, а в ru_RU.UTF-8 сегфолтается:

Gdk-CRITICAL **: file gdkfont.c: line 376 (gdk_text_width): assertion `font !=
NULL' failed.
zsh: segmentation fault  qiv -t img/sco.com-defaced.png
------- Comment #4 From 2007-06-29 18:39:52 -------
В смысле я пока не буду заливать этот alt2 никуда, поскольку кракозябры лучше
сегфолта.
------- Comment #5 From 2007-06-29 20:55:08 -------
Created an attachment (id=2068) [details]
User font select patch for qiv-2.1pre12

Хм... тогда, возможно, работающим в этом направлений (отрадно что такие есть!)
в чём то поможет и мой скромный патч, койм я пытался порешить этот баг, но смог
сделать лишь выбор шрифта (в юникоде сегфолтов нет, "работает" отлично, в
других локалях не проверял).

С.м. также http://evg-krsk.livejournal.com/2007/06/24/ и
http://samurai-within.livejournal.com/345728.html
------- Comment #6 From 2007-07-03 19:11:06 -------
Created an attachment (id=2075) [details]
User font select patch for qiv-2.1pre12

Это новый патч совмещает и работу в юникоде без крокозябл и возможность выбора
шрифта пользователем (разве что в мане не знаю как это добавить). Огромное
спасибо dfo@ за проделанную работу (Мой патч основан на его работе).

Прошу зайнтересованных потестить патч (в т.ч. и не в юникоде) и если что - в
Сизиф. Мой текущие потребности от программы он удовлетворяет.

P.S.: И наваяйте ещё патчик кто будет заливать или сделайте в спеке sed
-e's/pre11/pre12/' qiv.1 ...
------- Comment #7 From 2007-07-04 14:09:28 -------
Так заливай хотя бы в Daedalus, а как по мне -- если работает в koi, то сразу в
Sisyphus.
------- Comment #8 From 2007-07-04 15:28:08 -------
Fixed in 2.1-alt2.pre12.